org.eclipse.eef

## Interface EEFButtonDescription

All Superinterfaces:
  EEFControlDescription, EEFWidgetDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFButtonDescriptionImpl

    public interface EEFButtonDescription
    extends EEFWidgetDescription

A representation of the model object 'EEF Button Description'. Represents a button in the user interface.

The following features are supported:

- `Button Label Expression`
- `Image Expression`
- `Push Expression`
- `Style`
- `Conditional Styles`

See Also:
  `EefPackage.getEEFButtonDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getButtonLabelExpression()` Returns the value of the 'Button Label Expression' attribute.
`org.eclipse.emf.common.util.EList<EEFButtonConditionalStyle>` `getConditionalStyles()` Returns the value of the 'Conditional Styles' containment reference list.
`java.lang.String` `getImageExpression()` Returns the value of the 'Image Expression' attribute.
`java.lang.String` `getPushExpression()` Returns the value of the 'Push Expression' attribute.
`EEFButtonStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`void` `setButtonLabelExpression(java.lang.String value)` Sets the value of the '`Button Label Expression`' attribute.
`void` `setImageExpression(java.lang.String value)` Sets the value of the '`Image Expression`' attribute.
`void` `setPushExpression(java.lang.String value)` Sets the value of the '`Push Expression`' attribute.
`void` `setStyle(EEFButtonStyle value)` Sets the value of the '`Style`' containment reference.

### Methods inherited from interface org.eclipse.eef.EEFWidgetDescription

`getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getButtonLabelExpression

    java.lang.String getButtonLabelExpression()

Returns the value of the 'Button Label Expression' attribute. Label of the button visible in the user interface.

Returns:
  the value of the 'Button Label Expression' attribute.
See Also:
  `setButtonLabelExpression(String)`, `EefPackage.getEEFButtonDescription_ButtonLabelExpression()`

#### setButtonLabelExpression

    void setButtonLabelExpression(java.lang.String value)

Sets the value of the '`Button Label Expression`' attribute.

Parameters:
  `value` - the new value of the 'Button Label Expression' attribute.
See Also:
  `getButtonLabelExpression()`

#### getImageExpression

    java.lang.String getImageExpression()

Returns the value of the 'Image Expression' attribute. Image of the button visible in the user interface.

Returns:
  the value of the 'Image Expression' attribute.
See Also:
  `setImageExpression(String)`, `EefPackage.getEEFButtonDescription_ImageExpression()`

#### setImageExpression

    void setImageExpression(java.lang.String value)

Sets the value of the '`Image Expression`' attribute.

Parameters:
  `value` - the new value of the 'Image Expression' attribute.
See Also:
  `getImageExpression()`

#### getPushExpression

    java.lang.String getPushExpression()

Returns the value of the 'Push Expression' attribute. Defines the behavior executed when the end-user pushed the button.

Returns:
  the value of the 'Push Expression' attribute.
See Also:
  `setPushExpression(String)`, `EefPackage.getEEFButtonDescription_PushExpression()`

#### setPushExpression

    void setPushExpression(java.lang.String value)

Sets the value of the '`Push Expression`' attribute.

Parameters:
  `value` - the new value of the 'Push Expression' attribute.
See Also:
  `getPushExpression()`

#### getStyle

    EEFButtonStyle getStyle()

Returns the value of the 'Style' containment reference. Defines the button style

Returns:
  the value of the 'Style' containment reference.
See Also:
  `setStyle(EEFButtonStyle)`, `EefPackage.getEEFButtonDescription_Style()`

#### setStyle

    void setStyle(EEFButtonStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`

#### getConditionalStyles

    org.eclipse.emf.common.util.EList<EEFButtonConditionalStyle> getConditionalStyles()

Returns the value of the 'Conditional Styles' containment reference list. The list contents are of type `EEFButtonConditionalStyle`. Defines the button style associated to a precondition

Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFButtonDescription_ConditionalStyles()`